SDL Library Documentation
Prev |  | Next

# SDL_GetGammaRamp

## Name

SDL_GetGammaRamp -- Gets the color gamma lookup tables for the display

## Synopsis

    #include "SDL.h"

``int SDL_GetGammaRamp`(Uint16 *redtable, Uint16 *greentable, Uint16 *bluetable);`

## Description

Gets the gamma translation lookup tables currently used by the display. Each table is an array of 256 Uint16 values.

Not all display hardware is able to change gamma.

## Return Value

Returns -1 on error.

## See Also

SDL_SetGamma SDL_SetGammaRamp

Prev | Home | Next
SDL_SetGamma | Up | SDL_SetGammaRamp